Subject: invalid-regexp error in FAST-DEMO

From: Christopher Howard <[email-masked]>
Date: Fri, 23 Feb 2024 09:21:14 -0900

Hi, I am running into difficult learning hyperbole due to an error I am seeing in the FAST-DEMO.

If I try M-RET on links like so in the FAST-DEMO

"HY-NEWS#ORG MODE:2:6"

I get this error:

```
Debugger entered--Lisp error: (invalid-regexp "Unmatched ) or \\)")
  hpath:remote-at-p()
  hpath:at-p()
  ibtypes::pathname()
  ibut:at-p()
  hbut:at-p()
  hkey-execute(nil)
  action-key-internal()
  action-key()
  hkey-either(nil)
  funcall-interactively(hkey-either nil)
  command-execute(hkey-either)
```

I tried rerunning this with

```
guix shell --pure emacs emacs-hyperbole
emacs -q
```

but am still getting the same error. Here is my system information:

```
christopher@theoden 
------------------- 
OS: Guix System x86_64 
Host: OptiPlex 9020 00 
Kernel: 6.6.14-gnu 
Uptime: 7 days, 2 hours, 32 mins 
Packages: 99 (guix-system), 241 (guix-user) 
Shell: bash 5.1.16 
Resolution: 1920x1080 
DE: GNOME 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: shepherd 
CPU: Intel i5-4570 (4) @ 3.600GHz 
GPU: AMD ATI Radeon HD 8490 / R5 235X OEM 
GPU: Intel HD Graphics 
Memory: 3702MiB / 7865MiB 
```

```
name: emacs
version: 29.1
outputs:
+ out: everything
systems: x86_64-linux
dependencies: [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked]
+ [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] ld-wrapper@0 [email-masked]
+ [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked]
+ [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked]
location: gnu/packages/emacs.scm:412:2
homepage: https://www.gnu.org/software/emacs/
license: GPL 3+
synopsis: The extensible, customizable, self-documenting text editor  
description: GNU Emacs is an extensible and highly customizable text editor.  It is based on an Emacs Lisp interpreter with extensions for text editing.  Emacs has been
+ extended in essentially all areas of computing, giving rise to a vast array of packages supporting, e.g., email, IRC and XMPP messaging, spreadsheets, remote server
+ editing, and much more.  Emacs includes extensive documentation on all aspects of the system, from basic editing to writing large Lisp programs.  It has full Unicode
+ support for nearly all human languages.

name: emacs-hyperbole
version: 8.0.0
outputs:
+ out: everything
systems: x86_64-linux i686-linux
dependencies: [email-masked]
location: gnu/packages/emacs-xyz.scm:1035:2
homepage: https://www.gnu.org/software/hyperbole/
license: GPL 3+
synopsis: The Everyday Hypertextual Information Manager  
description: GNU Hyperbole, or just Hyperbole, is a programmable hypertextual information management system.  It offers rapid views and interlinking of all kinds of textual
+ information, utilizing Emacs for editing.  In particular, Hyperbole lets you quickly create and activate hyperlink buttons, build outlines, manage all your contacts, your
+ windows and frames, and search across buffers, directory trees, or the web.
```

-- 
📛 Christopher Howard
🚀 gemini://gem.librehacker.com
🌐 http://gem.librehacker.com

בראשית ברא אלהים את השמים ואת הארץ